KFileListViewItem Class Reference

`#include <kfiledetailview.h>`

Inherits KListViewItem.

## Public Member Functions

| KFileListViewItem (QListView *parent, const QString &text, const QPixmap &icon, KFileItem *fi)
| KFileListViewItem (QListView *parent, KFileItem *fi)
| KFileListViewItem (QListView *parent, const QString &text, const QPixmap &icon, KFileItem *fi, QListViewItem *after)
KFileItem * | fileInfo () const
virtual QString | key (int, bool) const
void | setKey (const QString &key)
QRect | rect () const
void | init ()

## Detailed Description

An item for the listiew, that has a reference to its corresponding KFileItem.

Definition at line 37 of file kfiledetailview.h.

## Constructor & Destructor Documentation

KFileListViewItem::KFileListViewItem | ( | QListView * | parent,
|  | KFileItem * | fi
| ) |  |

inline

Since
  3.1

Definition at line 50 of file kfiledetailview.h.

## Member Function Documentation

KFileItem* KFileListViewItem::fileInfo | ( |  | ) | const

inline

Returns
  the corresponding KFileItem

Definition at line 69 of file kfiledetailview.h.

void KFileListViewItem::init | ( |  | ) |

Since
  3.1

Definition at line 669 of file kfiledetailview.cpp.

The documentation for this class was generated from the following files:

- kfiledetailview.h
- kfiledetailview.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys